December 9, 2022
Leopard Compatible Billings 2.5.5 Available

Leopard Compatible Billings 2.5.5 Available

Posted November 28, 2007 at 12:22pm by iClarified · 5417 views
Billings' auto updater has been fixed and is now compatible with Mac OS X Leopard. The following was posted on the Billings Blog:

A few weeks ago (Nov 6th to be precise), we released Billings 2.5.2 with some very minor tweaks for Leopard - and then we pulled it about one hour later. We realized that the auto-updater just didn’t work on Leopard and from the download stats, we know some of you (probably on Tiger) have this mysterious 2.5.2 release.

This auto-updater bug turned out to be a real pesky bug. I mean real pesky. We did some digging and found that Sparkle (the auto-updater) works just fine on Leopard. It was just that it didn’t work in Billings on Leopard. If we built Billings on Leopard for Leopard, it worked fine, but if we built it for Tiger on Leopard or for Tiger on Tiger, it just wouldn’t work. Obviously we had some kind of conflict - but where the heck was it?

Anyways, to make a long story short, we finally found the conflict (one flipping declaration we made many years ago) and we now have a working updater on Leopard.


Read More

Leopard Compatible Billings 2.5.5 Available
Add Comment
Would you like to be notified when someone replies or adds a new comment?
Yes (All Threads)
Yes (This Thread Only)
No
iClarified Icon
Notifications
Would you like to be notified when we post a new Apple news article or tutorial?
Yes
No
Comments
You must login or register to add a comment...
Recent. Read the latest Apple News.
RECENT
Tutorials. Help is here.
TUTORIALS
How to Create a Bootable macOS Ventura USB Installer [Video]
How to Fix 'No Matching Host Key Type Found' on Mac
Where to Download macOS Ventura
AppleTV Firmware Download Locations
Where To Download iPhone Firmware Files From
Deals. Save on Apple devices and accessories.
DEALS